Source: libevdev
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: check,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               pkg-config,
               python3:native
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/libevdev
Vcs-Git: https://salsa.debian.org/debian/libevdev.git
Homepage: https://www.freedesktop.org/wiki/Software/libevdev/
Rules-Requires-Root: no

Package: libevdev-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libevdev2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libevdev-doc
Description: wrapper library for evdev devices - development files
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains the files required to build software using
 libevdev.

Package: libevdev-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-bootstrap,
         ${misc:Depends}
Breaks: libevdev-dev (<< 1.5.7)
Replaces: libevdev-dev (<< 1.5.7)
Built-Using: doxygen (= ${doxygen:Version})
Description: wrapper library for evdev devices - development docs
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains the documentation for developers wishing to
 build software using libevdev.

Package: libevdev2
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: wrapper library for evdev devices
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains the files required to run software using
 libevdev.

Package: libevdev2-udeb
Architecture: linux-any
Section: debian-installer
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Package-Type: udeb
Description: wrapper library for evdev devices - udeb
 This package contains the files required to provide libevdev for the
 Debian Installer. Do not install it on a normal system.

Package: libevdev-tools
Architecture: linux-any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: wrapper library for evdev devices - tools
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains touchpad-edge-detector.
